22. KBMAC0006 - HFS TSM client can't be installed on this disk. Installation cannot proceed, as not all requirements were met.

Summary This article will guide you through resolving the error message "HFS TSM client can't be installed on this disk. Installation cannot proceed, as not all requirements were met" when you try to install TSM 6.3 or higher on a Mac running OS X 10.6 (Snow Leopard).
Symptom When trying to install TSM 6.3 or higher on a Mac running OS X 10.6 (Snow Leopard), the error message "HFS TSM client can't be installed on this disk. Installation cannot proceed, as not all requirements were met" is returned.
Cause This problem occurs on older Macs which have 32-bit processors. TSM 6.3 and higher can only be installed on Macs that have 64-bit processors. Because some older Macs running Snow Leopard are 32-bit, these therefore cannot run the latest versions of TSM.
Resolution To get round the problem, please instead install our package for TSM 6.2 for Mac OS X 10.5 (Leopard), which is available from our page on downloading the TSM client for the Mac. This runs on both Leopard and Snow Leopard machines.
Status
More Information If you wish to verify that your Mac is 32-bit, please see Apple's page on How to tell if your Intel-based Mac has a 32-bit or 64-bit processor and check whether your processor is Intel Core Solo or Intel Core Duo.
Applies To TSM, Mac

Up: Contents Previous: 21. KBMAC0005 - "ANS1217E Server name not found in System Options File" (Mac) Next: 23. KBMAC0007 - Mac enters sleep mode while a backup or restore is running